Liblinphone: linphone::ConferenceScheduler Class Reference

Liblinphone 5.2.0

Public Types | Public Member Functions | List of all members
linphone::ConferenceScheduler Class Reference

Object used to create remote conferences and send ICS to notify participants. More...

`#include <conference_scheduler.hh>`

Inheritance diagram for linphone::ConferenceScheduler:

## Public Types
enum class | State { Idle = 0 , Error = 1 , AllocationPending = 2 , Ready = 3 , Updating = 4 }
| Describes conference scheduler possible states. More...

## Public Member Functions
LINPHONECXX_PUBLIC | ConferenceScheduler (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneConferenceScheduler * | cPtr ()
LINPHONECXX_PUBLIC void | addListener (const std::shared_ptr< ConferenceSchedulerListener > &listener)
LINPHONECXX_PUBLIC void | removeListener (const std::shared_ptr< ConferenceSchedulerListener > &listener)
LINPHONECXX_PUBLIC std::shared_ptr< linphone::Account > | getAccount () const
| Get the Account that is used for the conference scheduler.
LINPHONECXX_PUBLIC void | setAccount (const std::shared_ptr< linphone::Account > &account)
| Set the Account to use for the conference scheduler.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::Core > | getCore () const
| Gets the Core from a ConferenceScheduler object.
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::ConferenceInfo > | getInfo () const
| Returns the ConferenceInfo currently set in this scheduler.
LINPHONECXX_PUBLIC void | setInfo (const std::shared_ptr< linphone::ConferenceInfo > &conferenceInfo)
| Sets the ConferenceInfo to use to create/update the conference, which will be done right away.
LINPHONECXX_PUBLIC void | cancelConference (const std::shared_ptr< linphone::ConferenceInfo > &conferenceInfo)
| Cancel the conference linked to the ConferenceInfo provided as argument.
LINPHONECXX_PUBLIC void | sendInvitations (const std::shared_ptr< linphone::ChatRoomParams > &chatRoomParams)
| Sends an invitation to the scheduled conference to each participant by chat, using given chat rooms params to use/create the chat room in which to send it.

## Detailed Description

Object used to create remote conferences and send ICS to notify participants.

## Member Enumeration Documentation

## ◆ State

enum class linphone::ConferenceScheduler::State
| strong

Describes conference scheduler possible states.

Enumerator
Idle | Default state of a freshly created ConferenceScheduler.
Error | An error has happened during conference creation.
AllocationPending | Conference creation is in progress.
Ready | Confererence has been created.
Updating | Conference has been updated.

## Member Function Documentation

## ◆ cancelConference()

LINPHONECXX_PUBLIC void linphone::ConferenceScheduler::cancelConference | ( | const std::shared_ptr< linphone::ConferenceInfo > & | conferenceInfo | ) |

Cancel the conference linked to the ConferenceInfo provided as argument.

Parameters

  conferenceInfo | the ConferenceInfo object to linked to the conference to cancel.

## ◆ getAccount()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::Account > linphone::ConferenceScheduler::getAccount | ( |  | ) | const

Get the Account that is used for the conference scheduler.

Returns
  The selected Account for the call, or nullptr if none has been selected.

## ◆ getCore()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::Core > linphone::ConferenceScheduler::getCore | ( |  | ) | const

Gets the Core from a ConferenceScheduler object.

Returns
  the Core object.

## ◆ getInfo()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::ConferenceInfo > linphone::ConferenceScheduler::getInfo | ( |  | ) | const

Returns the ConferenceInfo currently set in this scheduler.

Returns
  the currently configured ConferenceInfo or nullptr if none is set.

## ◆ sendInvitations()

LINPHONECXX_PUBLIC void linphone::ConferenceScheduler::sendInvitations | ( | const std::shared_ptr< linphone::ChatRoomParams > & | chatRoomParams | ) |

Sends an invitation to the scheduled conference to each participant by chat, using given chat rooms params to use/create the chat room in which to send it.

Parameters

  chatRoomParams | the ChatRoomParams object to use to use/create the ChatRoom that will be used to send the invite.

## ◆ setAccount()

LINPHONECXX_PUBLIC void linphone::ConferenceScheduler::setAccount | ( | const std::shared_ptr< linphone::Account > & | account | ) |

Set the Account to use for the conference scheduler.

Parameters

  account | The Account to use, or nullptr if none has been selected. The CallParams keeps a reference to it and removes the previous one, if any.

## ◆ setInfo()

LINPHONECXX_PUBLIC void linphone::ConferenceScheduler::setInfo | ( | const std::shared_ptr< linphone::ConferenceInfo > & | conferenceInfo | ) |

Sets the ConferenceInfo to use to create/update the conference, which will be done right away.

Parameters

  conferenceInfo | the ConferenceInfo object to use to start creating/updating the remote conference.

The documentation for this class was generated from the following file:

- conference_scheduler.hh